Warm List

POST /public/v1/warmlist/{workspaceId}/monitored-profiles

Add one or more LinkedIn profiles to monitor for post engagements.

POST /public/v1/warmlist/{workspaceId}/monitored-profiles

POST /public/v1/warmlist/{workspaceId}/monitored-profiles

curl --request POST \
  --url 'https://api.joinvalley.co/public/v1/warmlist/{WORKSPACEID}/monitored-profiles' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
  "key": "value"
}'
{
  "statusCode": 1,
  "status": true,
  "message": "<string>",
  "data": {
    "created": 1,
    "errors": [
      "<string>"
    ]
  }
}

Default Response

Authorizations

  • x-api-key string required header

    Your Valley API key.

Path Parameters

  • workspaceId string required

Request Body

application/json
  • profileUrls[] string required array

    LinkedIn profile URLs to monitor. Maximum 5 per request (workspace cap).

Response

application/json
  • statusCode number
  • status boolean
  • message string
  • data object
    + Show Child Attributes
    • created number
    • errors[] string array